<template lang='pug'>
Example(title='Complete Card Example' :maxState="2")
  template(v-slot:description)
    h5 This is a more elaborate Card example
    p Click on the #[em animate] to change its state.
    p Click on #[em code] to view and modify its code.
  template(v-slot:code="")
    pre(v-pre).
      BaseCard
        template(v-slot:header='')
          h5 Complete Card
        li(key='0') state={{ state }}
        li(v-if='state === 0' key='1') initial content
        li(v-if='state === 1' key='2') content
        li(v-if='state >= 1' key='3') another content
        template(v-slot:footer='' v-if='state >= 2') footer content
</template>
<script setup>

import Example from './Example.vue';

</script>
